From: Greg KH <greg@kroah.com>
To: torvalds@transmeta.com
Cc: linux-usb-devel@lists.sourceforge.net
Subject: [PATCH 7 of 8] USB usbnet driver bugfix

Hi,

Here's a patch against 2.5.2-pre7 that fixes a bug in the USB usbnet
driver for archectures where int != unsigned long.

thanks,

greg k-h



diff -Nru a/drivers/usb/usbnet.c b/drivers/usb/usbnet.c
--- a/drivers/usb/usbnet.c	Thu Jan  3 16:45:35 2002
+++ b/drivers/usb/usbnet.c	Thu Jan  3 16:45:35 2002
@@ -1571,7 +1571,7 @@
 	struct urb		*urb = 0;
 	struct skb_data		*entry;
 	struct driver_info	*info = dev->driver_info;
-	int			flags;
+	unsigned long		flags;
 #ifdef	CONFIG_USB_NET1080
 	struct nc_header	*header = 0;
 	struct nc_trailer	*trailer = 0;

